package org.kar.karideo.migration;

import org.kar.archidata.migration.MigrationSqlStep;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class Migration20240611 extends MigrationSqlStep {
	private static final Logger LOGGER = LoggerFactory.getLogger(Migration20240226.class);

	public static final int KARSO_INITIALISATION_ID = 1;

	@Override
	public String getName() {
		return "migration-2024-06-11: corect data uuid";
	}

	public Migration20240611() {

	}

	@Override
	public void generateStep() throws Exception {
		addAction("""
				ALTER TABLE `data` CHANGE `id` `uuid` binary(16) DEFAULT (UUID_TO_BIN(UUID(), TRUE));
				""");
	}

}
